Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1355593 - SELinux policy stops systemd-resolved from running
SELinux policy stops systemd-resolved from running
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
24
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-11 22:53 EDT by Cristian Ciupitu
Modified: 2017-08-08 11:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 11:32:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cristian Ciupitu 2016-07-11 22:53:09 EDT
Description of problem:
I can't use systemd-resolved because of the SELinux policy.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.13.1-191.fc24.3.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Configure systemd-networkd, for example by putting this into `/etc/systemd/network/dhcp.network`:

    [Match]
    Name=en*

    [Network]
    DHCP=ipv4

    [DHCP]
    UseDNS=yes

2. systemctl start systemd-networkd.service
3. ln -sf /run/systemd/resolve/resolv.conf /etc/resolv.conf
4. systemctl start systemd-resolved.service

Actual results:
type=AVC msg=audit(1468290820.942:106): avc:  denied  { mounton } for  pid=491 comm="(resolved)" path="/etc" dev="vda3" ino=8388705 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=dir permissive=0

Expected results:
No SELinux denials

Additional info:
Switching to permissive mode makes it possible for systemd-resolved to run.
Comment 1 Thomas Müller 2016-07-16 01:55:10 EDT
I'm seeing the same error.

There is an additional line in audit.log that might be relevant:
type=USER_AVC msg=audit(1468648109.661:998): pid=1014 uid=81 auid=4294967295 ses=4294967295 subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 msg='avc:  denied  { acquire_svc } for service=org.freedesktop.resolve1 spid=32300 scontext=system_u:system_r:systemd_resolved_t:s0 tcontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tclass=dbus  exe="/usr/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'
Comment 2 nik 2016-08-06 08:31:32 EDT
Can confirm this bug as well on a minimal clean install of Fedora 24.
Comment 3 Thomas Meyer 2016-09-21 14:59:54 EDT
probably same as 1353536
Comment 4 Fedora End Of Life 2017-07-25 17:45:01 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 11:32:18 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.